summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-apps/libksane/libksane-18.12.2.ebuild')
-rw-r--r--kde-apps/libksane/libksane-18.12.2.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/kde-apps/libksane/libksane-18.12.2.ebuild b/kde-apps/libksane/libksane-18.12.2.ebuild
new file mode 100644
index 00000000000..77ab7c0de63
--- /dev/null
+++ b/kde-apps/libksane/libksane-18.12.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="SANE Library interface based on KDE Frameworks"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~x86"
+IUSE="kwallet"
+
+DEPEND="
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ media-gfx/sane-backends
+ kwallet? ( $(add_frameworks_dep kwallet) )
+"
+RDEPEND="${DEPEND}
+ !<kde-apps/libksane-15.08.3-r1:4
+ !kde-base/legacy-icons
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package kwallet KF5Wallet)
+ )
+ kde5_src_configure
+}